clear all
close all
%format short g
time=2000;
dt=50;
dim=100;
n_input=5;
diameter=2; %intorno for the input
noi=0.8;      %0/1 noise for the input
da=0;
rng(6)

init_var


%% FIGURE
fig=figure('Name', 'Cortex layer', 'Position', [100 200 1500 500]);

subplot(1,3,1);
title('Input-Output Connection Matrix')

subplot(1,3,2)
colormap(fmri_col)
title('Inputs')

subplot(1,3,3)
title('Outputs')

%% video initialization
%vd = VideoWriter('video2_integration');
vd = VideoWriter('video2_integration', 'MPEG-4' );
frm=1;

%%
flag1=0;
flag2=0;
for k = 2:time

    input_gen
    
    crx1 = leaky_step(k, dt,  crx1, reshape(inp_crx1{k},1,100)*inp12crx1, da);
            
    li=1;    
    lo=1;
    if k<time*4/5
        if k>=time/5 && k<time*2/5
            li=2;
            inp12crx1(2,1)=0.4;
        elseif k>=time*2/5 && k<time*3/5
            li=2;
            lo=2;
            inp12crx1(1,2)=-.5;
        elseif k>=time*3/5 && k<time*4/5
            li=3;
            lo=3;
        end
        subplot(1,3,1)
        imagesc(inp12crx1(1:li,1:lo));
        caxis([-0.5 1])
        %colorbar
        title('Input-Output Connection matrix')
        
        subplot(1,3,2)
        %imagesc(inputs{1}')
        imagesc(new_inp(:,1:li)')
        caxis([-0.5 1])
        axis([1 k 0.5 li+0.5])
        title('Inputs')
        %colorbar
        
        subplot(1,3,3)
        imagesc(crx1.activity(:,1:lo)')
        %clims = [0 1];
        caxis([-0.5 1])
        axis([1 k 0.5 lo+0.5])
        title('Outputs')
        %colorbar
    else
        subplot(1,3,1)
        imagesc(inp12crx1);
        caxis([-0.5 1])
        %colorbar
        title('Input-Output Connection matrix')
        
        subplot(1,3,2)
        %imagesc(inputs{1}')
        imagesc(inp_crx1{k}')
        caxis([-0.5 1])
        %axis([1 k 0.5 2.5])
        title('Inputs')
        %colorbar
        
        mat_crx1=reshape(crx1.activity(k,:),10,10);
        subplot(1,3,3)
        imagesc(mat_crx1')
        %clims = [0 1];
        caxis([-0.5 1])
        %axis([1 k 0.5 2.5])
        title('Outputs')
        %colorbar
    end


    
    %%
    drawnow
    wait(1)
    
    %frame capture
%     mvm(frm) = getframe(fig);
%     frm=frm+1;
end

%% video recording
%  open(vd)
%  writeVideo(vd,mvm)
%  close(vd)
